Skip to content
brain.GitHub
Developer docs OPEN SOURCE
HTTP APIEndpoints

List available tools

GET
/catalog

Lists tool descriptors available to the caller's tenant. Endpoint URLs and credentials are omitted.

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

List available tools

application/json
  1. response
tools*array<>
curl -X GET 'http://127.0.0.1:8080/catalog' \  -H 'Authorization: Bearer <BRAIN_TOKEN>'
{  "tools": [    {      "description": "string",      "input_schema": null,      "name": "string",      "output_schema": null    }  ]}